import { FileUploader } from "ng2-file-upload";
import { BaseComponent } from './base.component';
export declare class FileUploadComponent extends BaseComponent {
    fileUploadInfo: FileUploadInfo;
    index: number;
    uploader: FileUploader;
    selectedFileOnChanged(event: any): void;
    uploadFile(fileUploadInfo: FileUploadInfo): void;
    isRunning(): boolean;
}
export declare class FileUploadInfo {
    uploadedFiles: string[];
    fileInputValue: string;
    uploading: boolean;
    iconClass: string;
    message: string;
    allowedFileType: string;
    constructor(allowedFileType?: string);
    reset(): void;
}
