import { Pipe, PipeTransform } from '@angular/core';
import { Utils } from "./utils";

@Pipe( { name: 'date' } )
export class DatePipe implements PipeTransform {
	transform( date: Date, pattern?: string ): string {
		if (!pattern) {
			pattern = "yyyy-MM-dd";
		}
        return Utils.formatDate(date, pattern);
    }
}
