import { Pipe, PipeTransform } from '@angular/core';
import { Utils } from "./utils";

@Pipe( { name: 'i18n' } )
export class i18nPipe implements PipeTransform {
	transform( key: string, params?: string[] ): string {
        return Utils.resolveLocalizedMessage(key, params);
    }
}