"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var PagedQueryResult = /** @class */ (function () {
    function PagedQueryResult() {
    }
    return PagedQueryResult;
}());
exports.PagedQueryResult = PagedQueryResult;
var PagedQueryParam = /** @class */ (function () {
    function PagedQueryParam() {
        /**
         * 要查询第几页，从1开始
        */
        this.pageNumber = 1;
        /**
         * 每页数据条数，缺省20
         * */
        this.pageSize = 20;
    }
    PagedQueryParam.prototype.changePage = function (event) {
        if (event.page != undefined) {
            this.pageNumber = event.page + 1;
        }
        else {
            this.pageNumber = event.first / this.pageSize + 1;
        }
        if (event.sortField) {
            this.orderBy = event.sortField;
            if (event.sortOrder == -1) {
                this.orderBy += ":ASC";
            }
            else {
                this.orderBy += ":DESC";
            }
        }
        if (event.multiSortMeta) {
            for (var _i = 0, _a = event.multiSortMeta; _i < _a.length; _i++) {
                var sm = _a[_i];
                if (this.orderBy) {
                    this.orderBy += "; ";
                }
                this.orderBy = event.sortField;
                if (event.sortOrder == -1) {
                    this.orderBy += ":ASC";
                }
                else {
                    this.orderBy += ":DESC";
                }
            }
        }
    };
    return PagedQueryParam;
}());
exports.PagedQueryParam = PagedQueryParam;
/**
 * primeng Table Paginator的事件数据结构
 */
var DataEvent = /** @class */ (function () {
    function DataEvent() {
    }
    return DataEvent;
}());
exports.DataEvent = DataEvent;
var SortMeta = /** @class */ (function () {
    function SortMeta() {
    }
    return SortMeta;
}());
exports.SortMeta = SortMeta;
var Selectable = /** @class */ (function () {
    function Selectable() {
    }
    return Selectable;
}());
exports.Selectable = Selectable;
var RefBean = /** @class */ (function (_super) {
    __extends(RefBean, _super);
    function RefBean(code, name) {
        var _this = _super.call(this) || this;
        _this.code = code;
        _this.name = name;
        return _this;
    }
    return RefBean;
}(Selectable));
exports.RefBean = RefBean;
var RefBeanTreeNode = /** @class */ (function (_super) {
    __extends(RefBeanTreeNode, _super);
    function RefBeanTreeNode() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    return RefBeanTreeNode;
}(RefBean));
exports.RefBeanTreeNode = RefBeanTreeNode;
var RestResult = /** @class */ (function () {
    function RestResult() {
    }
    return RestResult;
}());
exports.RestResult = RestResult;
/**
 * 图相关数据模型，节点基类。
 */
var NodeBase = /** @class */ (function () {
    function NodeBase() {
    }
    return NodeBase;
}());
exports.NodeBase = NodeBase;
/**
 * 图相关数据模型，连接节点的边基类
 */
var EdgeBase = /** @class */ (function () {
    function EdgeBase() {
        /**
         * 源节点到目标节点的距离，用于计算最短路径
         */
        this.distance = 1;
    }
    return EdgeBase;
}());
exports.EdgeBase = EdgeBase;
//# sourceMappingURL=models.js.map